Bug 140362 - lang/mono: Patches for PowerPC support in mono
Summary: lang/mono: Patches for PowerPC support in mono
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-mono mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-11-07 15:40 UTC by Justin Hibbits
Modified: 2009-12-06 19:50 UTC (History)
0 users

See Also:


Attachments
file.diff (1.98 KB, patch)
2009-11-07 15:40 UTC, Justin Hibbits
no flags Details | Diff
mono.diff (2.48 KB, patch)
2009-11-10 02:12 UTC, freebsd-mono mailing list
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Justin Hibbits 2009-11-07 15:40:00 UTC
The attached patch adds PowerPC support to mono.  The patch is also
being sent upstream.  Only thing not included in the patches is changing
the ONLY_FOR_ARCHS line in the port Makefile.

Fix: Patch attached with submission follows:
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2009-11-08 03:46:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mono

Fix synopsis and assign.
Comment 2 Romain Tartière 2009-11-09 20:35:49 UTC
Hi Justin.

I have just pushed your edited patches to the mono-2.4 branch in the
BSD# repository:

http://code.google.com/p/bsd-sharp/source/detail?r=697
http://bsd-sharp.googlecode.com/svn/branches/bsd-sharp-releng-2.4/lang/mono/

Can you please confirm that it's all okay (including the ONLY_FOR_ARCH
fix) and confirm that the regression test suite (make tests) pass?

Thanks!
Romain, on behalf of the BSD# Team.

-- 
Romain Tartière <romain@blogreen.org>        http://romain.blogreen.org/
pgp: 8DAB A124 0DA4 7024 F82A  E748 D8E9 A33F FF56 FF43 (ID: 0xFF56FF43)
(plain text =non-HTML= PGP/GPG encrypted/signed e-mail much appreciated)
Comment 3 Justin Hibbits 2009-11-10 01:34:31 UTC
2009/11/9 Romain Tartière <romain@blogreen.org>

> Hi Justin.
>
> I have just pushed your edited patches to the mono-2.4 branch in the
> BSD# repository:
>
> http://code.google.com/p/bsd-sharp/source/detail?r=697
>
> http://bsd-sharp.googlecode.com/svn/branches/bsd-sharp-releng-2.4/lang/mono/
>
> Can you please confirm that it's all okay (including the ONLY_FOR_ARCH
> fix) and confirm that the regression test suite (make tests) pass?
>
> Thanks!
> Romain, on behalf of the BSD# Team.
>
> --
> Romain Tartière <romain@blogreen.org>        http://romain.blogreen.org/
> pgp: 8DAB A124 0DA4 7024 F82A  E748 D8E9 A33F FF56 FF43 (ID: 0xFF56FF43)
> (plain text =non-HTML= PGP/GPG encrypted/signed e-mail much appreciated)
>


Hi Romain,

The tests do pass, so the source patches are good.  Also, I was able to
build f-spot with it.  Only one change is needed in your patch.  The
ONLY_FOR_ARCH line in the Makefile should have 'powerpc' instead of 'ppc'.

- Justin
Comment 4 freebsd-mono mailing list freebsd_committer 2009-11-10 02:12:55 UTC
Fine, here is the final patch ready for being applied to the FreeBSD
ports tree.

Romain, on behalf of the BSD# Team.

-- 
Romain Tartière <romain@blogreen.org>        http://romain.blogreen.org/
pgp: 8DAB A124 0DA4 7024 F82A  E748 D8E9 A33F FF56 FF43 (ID: 0xFF56FF43)
(plain text =non-HTML= PGP/GPG encrypted/signed e-mail much appreciated)
Comment 5 Justin Hibbits 2009-11-10 02:15:26 UTC
2009/11/9 Romain Tartière <mono@freebsd.org>

> Fine, here is the final patch ready for being applied to the FreeBSD
> ports tree.
>
> Romain, on behalf of the BSD# Team.
>
> --
> Romain Tartière <romain@blogreen.org>        http://romain.blogreen.org/
> pgp: 8DAB A124 0DA4 7024 F82A  E748 D8E9 A33F FF56 FF43 (ID: 0xFF56FF43)
> (plain text =non-HTML= PGP/GPG encrypted/signed e-mail much appreciated)
>


Looks good to me.

Thanks,

Justin
Comment 6 dfilter service freebsd_committer 2009-12-06 19:47:35 UTC
glewis      2009-12-06 19:47:18 UTC

  FreeBSD ports repository

  Modified files:
    lang/mono            Makefile 
    lang/mono/files      patch-configure 
  Added files:
    lang/mono/files      patch-mono_mini_mini-ppc.h 
  Log:
  . Add PowerPC support.
  
  PR:             140362
  Submitted by:   Justin Hibbits <chmeeedalf@gmail.com>
  
  Revision  Changes    Path
  1.86      +1 -1      ports/lang/mono/Makefile
  1.16      +12 -3     ports/lang/mono/files/patch-configure
  1.1       +20 -0     ports/lang/mono/files/patch-mono_mini_mini-ppc.h (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Greg Lewis freebsd_committer 2009-12-06 19:47:38 UTC
State Changed
From-To: open->closed

Committed. Thanks!